<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>

<head>
    <title>vBulletin Tools</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <link rel="stylesheet" href="../cpstyles/vBulletin_3_Silver/controlpanel.css" />
    <script type="text/javascript">
        var SESSIONHASH = "";
    </script>
    <script type="text/javascript" src="../clientscript/vbulletin_global.js"></script>


</head>

<body style="margin:0px">
    <!-- END CONTROL PANEL HEADER -->
    <?php
    /*======================================================================*\
|| #################################################################### ||
|| # vBulletin 3.8.9 Beta 1
|| # ---------------------------------------------------------------- # ||
|| # Copyright �2000-2014 vBulletin Solutions, Inc. All Rights Reserved. ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- VBULLETIN IS NOT FREE SOFTWARE ---------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html # ||
|| #################################################################### ||
\*======================================================================*/

    // ######################## SET PHP ENVIRONMENT ###########################
    error_reporting(E_ALL & ~E_NOTICE);
    ini_set('display_errors', 1);
    // ##################### DEFINE IMPORTANT CONSTANTS #######################
    define('CVS_REVISION', '$RCSfile$ - $Revision: 80813 $');
    define('DEFAULT_FILENAME', 'vbulletin-language.xml');

    // #################### PRE-CACHE TEMPLATES AND DATA ######################
    $phrasegroups = array('language');
    $specialtemplates = array();

    // ########################## REQUIRE BACK-END ############################
    require_once('./global.php');
    require_once(DIR . '/includes/adminfunctions.php');
    require_once(DIR . '/includes/adminfunctions_language.php');

    // ################### PRE-CACHE TEMPLATES AND DATA ######################
    // get special phrase groups
    $phrasegroups = array('posting');

    $langglobals = array(
        'title'                  => TYPE_NOHTML,
        'userselect'             => TYPE_INT,
        'options'                => TYPE_ARRAY_BOOL,
        'languagecode'           => TYPE_STR,
        'charset'                => TYPE_STR,
        'locale'                 => TYPE_STR,
        'imagesoverride'         => TYPE_STR,
        'dateoverride'           => TYPE_STR,
        'timeoverride'           => TYPE_STR,
        'registereddateoverride' => TYPE_STR,
        'calformat1override'     => TYPE_STR,
        'calformat2override'     => TYPE_STR,
        'logdateoverride'        => TYPE_STR,
        'decimalsep'             => TYPE_STR,
        'thousandsep'            => TYPE_STR
    );
    require_once('./global.php');
    require_once('includes/functions_user.php');

    // if ($_POST['do'] == 'AddNew') {
    $vbulletin->input->clean_array_gpc('p', $langglobals);

    // $newlang['title'] = 'Shqawe_English';
    $vbulletin->GPC['title'] = 'Shqawe_English2';
    $vbulletin->GPC['userselect'] = 1;
    $vbulletin->GPC['options'] = [1, 2];
    $vbulletin->GPC['languagecode'] = 's_en';
    $vbulletin->GPC['charset'] = 'ISO-8859-1';

    require_once(DIR . '/includes/functions_misc.php');
    $vbulletin->GPC['options'] = convert_array_to_bits($vbulletin->GPC['options'], $vbulletin->bf_misc_languageoptions);

    $newlang = array();
    foreach ($langglobals as $key => $val) {
        $newlang["$key"] = &$vbulletin->GPC["$key"];
    }

    if (empty($newlang['title']) or empty($newlang['charset'])) {
        print_stop_message('please_complete_required_fields');
    }

    // User has defined a locale.
    if ($newlang['locale'] != '') {
        if (!setlocale(LC_TIME, $newlang['locale']) or !setlocale(LC_CTYPE, $newlang['locale'])) {
            print_stop_message('invalid_locale', $newlang['locale']);
        }

        if ($newlang['dateoverride'] == '' or $newlang['timeoverride'] == '' or $newlang['registereddateoverride'] == '' or $newlang['calformat1override'] == '' or $newlang['calformat2override'] == '' or $newlang['logdateoverride'] == '') {
            print_stop_message('locale_define_fill_in_all_overrides');
        }
    }

    /*insert query*/
    $db->query_write(fetch_query_sql($newlang, 'language'));
    $_languageid = $db->insert_id($result);

    build_language($_languageid);
    build_language_datastore();

    define('CP_REDIRECT', 'language.php?dolanguageid=' . $_languageid);
    print_stop_message('saved_language_x_successfully', $newlang['title']);
// }
